<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbAdslSupplierTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_adsl_supplier', function(Blueprint $table)
		{
			$table->integer('id')->default(0);
			$table->integer('site_id')->default(0)->index('fk_as_set_idx');
			$table->boolean('active')->nullable();
			$table->boolean('debug')->nullable();
			$table->string('name', 128)->nullable();
			$table->string('notes')->nullable();
			$table->string('provision_plugin', 128)->nullable();
			$table->text('provision_plugin_data')->nullable();
			$table->integer('max_accounts')->nullable();
			$table->string('stats_url', 256)->nullable();
			$table->date('stats_lastupdate')->nullable();
			$table->string('stats_username', 16)->nullable();
			$table->string('stats_password', 16)->nullable();
			$table->primary(['id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_adsl_supplier');
	}

}
